#include <stdio.h>

int main() {
  int n;
  int min;
  int j, d, s, nov_broj;
  
  scanf("%d", &n);
  if(n<0)
    printf("-1 \n");
    else if(n<100 || n>999)
      printf("-1 \n");
    else {
      j = n%10;
      d = (n/10)%10;
      s = n/100;
      
      min = s;
      if(min>d)
	min = d;
      if(min>j)
	min = j;
      if(min == s) {
	if(d<j)
	  nov_broj = s*100 + d*10 + j;
	else
	  nov_broj = s*100 + j*10 + d;
      }
      else if(min == d) {
	if(j<s)
	  nov_broj = d*100 + j*10 + s;
	else
	  nov_broj = d*100 + s*10 + j;
      }
      else if(min == j) {
	if(d<s)
	  nov_broj = j*100 + d*10 + s;
	else
	  nov_broj = j*100 + s*10 + d;
      }
      printf("%d \n", nov_broj);
      
    }      
      
      


  return 0;
}